Name: mrproject
Version: 0.10
Release: alt1

Summary: MrProject - project management application
Summary(ru_RU.KOI8-R):    MrProject

License: GPL
Group: Office
Url: http://mrproject.codefactory.se

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %name-%version.tar.bz2
Source1: %name-%version.ru.po

Requires: lib%name = %version

%add_findprov_lib_path %_libdir/%name

# Automatically added by buildreq on Mon Sep 22 2003
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs bzlib-devel esound-devel fontconfig-devel freetype2-devel gcc-c++ glib2-devel gnome-vfs2-devel hostinfo libGConf2-devel libalsa-devel libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libexpat-devel libglade2-devel libgnome-devel libgnomecanvas-devel libgnomeprint2-devel libgnomeprintui-devel libgnomeui-devel libgsf-devel libgtk+2-devel libjpeg-devel libmrproject-devel libpango-devel libpopt-devel libpq3-devel libssl-devel libstdc++-devel libxml2-devel libxslt pkgconfig postgresql-devel scrollkeeper zlib-devel

BuildRequires: lib%name-devel = %version


%description
MrProject, a project management application for GNOME.

%description -l ru_RU.KOI8-R
   MrProject  GNOME.

%prep
%setup -q
cp -f %SOURCE1 po/ru.po

%build
%configure

%make_build

%install
#makeinstall
make DESTDIR=$RPM_BUILD_ROOT install

install -d -m 0755 $RPM_BUILD_ROOT%_menudir
cat << EOF > $RPM_BUILD_ROOT%_menudir/%name
?package(%name):command="mrproject" \
needs="x11" \
section="Office/Tasks management" \
title="Mr Project" \
longtitle="Project management tool" \
genericname="Project Management" \
icon="taskmanagement_section.xpm"
EOF

%find_lang %name

%post
%update_menus
%update_scrollkeeper

%postun
%clean_menus
%clean_scrollkeeper

%files -f %name.lang
%doc ChangeLog README COPYING
%_bindir/*
#%add_findreq_skiplist %_libdir/mrproject
%_libdir/%name/*.so
%_libdir/%name/views/*.so
%_datadir/application-registry/*
%_datadir/applications/*
%_datadir/gnome-2.0/ui/*.ui
%_datadir/gnome/help/%name
%_datadir/mime-info/*
%_datadir/%name/glade
%_menudir/*
%_datadir/pixmaps/*
%_datadir/omf/%name/*

%changelog
* Mon Sep 22 2003 Vitaly Lipatov <lav@altlinux.ru> 0.10-alt1
- new version

* Mon Mar 17 2003 Vitaly Lipatov <lav@altlinux.ru> 0.9.1-alt1
- new version
- update russian translation

* Tue Jan 07 2003 Vitaly Lipatov <lav@altlinux.ru> 0.8-alt1pre
- new version (0.8pre)
- add post & postun sections (thanks to Yuri N. Sedunov <aris@altlinux.ru>)
- add requires on libmproject version
- update russian translation

* Sun Dec 01 2002 Vitaly Lipatov <lav@altlinux.ru> 0.7-alt2
- add missed omf, gnome/help to files

* Thu Nov 28 2002 Vitaly Lipatov <lav@altlinux.ru> 0.7-alt1
- new version

* Sat Nov 02 2002 Vitaly Lipatov <lav@altlinux.ru> 0.6-alt2
- add genericname
- new version
- spec cleanup and messages translated in russian
- add ru.po

* Wed Oct 09 2002 AEN <aen@altlinux.ru> 0.6-alt1
- new version (Gnome2)

* Thu Mar 14 2002 AEN <aen@linux.ru> 0.5.1-alt2
- rebuilt win conv_deskfiles.pl

* Wed Jan 23 2002 AEN <aen@logic.ru> 0.5.1-alt1
- new version

* Mon Jan 14 2002 AEN <aen@logic.ru> 0.5.0-alt2
- rebuilt with libgal-0.19

* Thu Dec 20 2001 AEN <aen@logic.ru> 0.5.0-alt1
- new version

* Fri Nov 09 2001 AEN <aen@logic.ru> 0.4.1-alt2
- rebuilt with new gal

* Fri Oct 25 2001 AEN <aen@logic.ru> 0.4.1-alt1
- new version
- rebuild with new libgal

* Tue Oct 09 2001 AEN <aen@logic.ru> 0.4.0-alt1
- new version
- patch to build with new bonobo

* Wed Sep 05 2001 AEN <aen@logic.ru> 0.3.2-alt4
- rebuild with libgal-0.11.2
- oaf-slay added in %pre
* Thu Aug 09 2001 AEN <aen@logic.ru> 0.3.2-alt3
- rebuild with libgal-0.10
* Mon Jul 9 2001 AEN <aen@logic.ru> 0.3.2-alt2
- rebuild with libgal-0.9
* Fri Jul 6 2001 AEN <aen@logic.ru> 0.3.2-alt1
- first Spring package
